Version 4.0.26.22 (latest)

### Configure Looker Settings

Available settings are:

- allow_user_timezones
- auto_certify_lookml_content
- content_certification_documentation_link
- custom_welcome_email
- data_connector_default_enabled
- dashboard_auto_refresh_restriction
- dashboard_auto_refresh_minimum_interval
- extension_framework_enabled
- extension_load_url_enabled
- instance_config
- is_content_certification_enabled
- managed_certificate_uri
- marketplace_auto_install_enabled
- marketplace_automation
- marketplace_terms_accepted
- marketplace_enabled
- marketplace_site
- onboarding_enabled
- privatelabel_configuration
- revoke_certification_on_edits
- automated_mfa_enabled
- timezone
- host_url
- email_domain_allowlist
- embed_cookieless_v2
- embed_vis_modernization_default
- embed_enabled
- embed_config
- mcp_tools

See the `Setting` type for more information on the specific values that can be configured.

If a setting update is rejected, the API error payload should provide information on the cause of the rejection.

## Request

PATCH /setting Datatype Description Request HTTP Request body HTTP Body Expand HTTP Body definition... body [Setting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Setting) Looker Setting Configuration Expand Setting definition... instance_config [InstanceConfig](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/InstanceConfig) Externally available instance configuration information extension_framework_enabled boolean Toggle extension framework on or off extension_load_url_enabled boolean (DEPRECATED) Toggle extension load url on or off. Do not use. This is temporary setting that will eventually become a noop and subsequently deleted. marketplace_auto_install_enabled boolean (DEPRECATED) Toggle marketplace auto install on or off. Deprecated - do not use. Auto install can now be enabled via marketplace automation settings marketplace_automation [MarketplaceAutomation](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/MarketplaceAutomation) Marketplace automation settings. marketplace_enabled boolean Toggle marketplace on or off marketplace_site string Location of Looker marketplace CDN marketplace_terms_accepted boolean Accept marketplace terms by setting this value to true, or get the current status. Marketplace terms CANNOT be declined once accepted. Accepting marketplace terms automatically enables the marketplace. The marketplace can still be disabled after it has been enabled. privatelabel_configuration [PrivatelabelConfiguration](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/PrivatelabelConfiguration) Private label configuration custom_welcome_email [CustomWelcomeEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CustomWelcomeEmail) Custom welcome email configuration onboarding_enabled boolean Toggle onboarding on or off timezone string Change instance-wide default timezone allow_user_timezones boolean Toggle user-specific timezones on or off data_connector_default_enabled boolean Toggle default future connectors on or off host_url string Change the base portion of your Looker instance URL setting override_warnings boolean (Write-Only) If warnings are preventing a host URL change, this parameter allows for overriding warnings to force update the setting. Does not directly change any Looker settings. email_domain_allowlist string\[\] embed_cookieless_v2 boolean (DEPRECATED) Use embed_config.embed_cookieless_v2 instead. If embed_config.embed_cookieless_v2 is specified, it overrides this value. embed_vis_modernization_default boolean Default net new visualizations in embedded context to Modern theme embed_enabled boolean True if embedding is enabled https://docs.cloud.google.com/looker/docs/r/looker-core-feature-embed, false otherwise embed_config [EmbedConfig](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/EmbedConfig) Embed configuration. Requires embedding to be enabled https://docs.cloud.google.com/looker/docs/r/looker-core-feature-embed login_notification_enabled boolean Login notification enabled login_notification_text string Login notification text dashboard_auto_refresh_restriction boolean Toggle Dashboard Auto Refresh restriction dashboard_auto_refresh_minimum_interval string Minimum time interval for dashboard element automatic refresh. Examples: (30 seconds, 1 minute) managed_certificate_uri string\[\] content_certification_documentation_link string Link to content certification documentation. revoke_certification_on_edits boolean Allow content certification to be revoked on edits. automated_mfa_enabled boolean Automatically enable Multi-Factor Authentication for users. is_content_certification_enabled boolean Allow content certification. auto_certify_lookml_content boolean Allow auto certification of lookml content. ca_agent_observability boolean Toggle Conversational Analytics Agent Token usage mcp_tools [McpTools](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpTools) Configuration for MCP Tools query HTTP Query Expand HTTP Query definition... fields string Requested fields

## Response

### 200: Looker Settings

Datatype Description (object) [Setting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Setting) instance_config [InstanceConfig](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/InstanceConfig) Externally available instance configuration information Expand InstanceConfig definition... feature_flags object Feature flags enabled on the instance license_features object License features enabled on the instance extension_framework_enabled boolean Toggle extension framework on or off extension_load_url_enabled boolean (DEPRECATED) Toggle extension load url on or off. Do not use. This is temporary setting that will eventually become a noop and subsequently deleted. marketplace_auto_install_enabled boolean (DEPRECATED) Toggle marketplace auto install on or off. Deprecated - do not use. Auto install can now be enabled via marketplace automation settings marketplace_automation [MarketplaceAutomation](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/MarketplaceAutomation) Marketplace automation settings. Expand MarketplaceAutomation definition... install_enabled boolean Whether marketplace auto installation is enabled update_looker_enabled boolean Whether marketplace auto update is enabled for looker extensions update_third_party_enabled boolean Whether marketplace auto update is enabled for third party extensions marketplace_enabled boolean Toggle marketplace on or off marketplace_site string Location of Looker marketplace CDN marketplace_terms_accepted boolean Accept marketplace terms by setting this value to true, or get the current status. Marketplace terms CANNOT be declined once accepted. Accepting marketplace terms automatically enables the marketplace. The marketplace can still be disabled after it has been enabled. privatelabel_configuration [PrivatelabelConfiguration](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/PrivatelabelConfiguration) Private label configuration Expand PrivatelabelConfiguration definition... logo_file string Customer logo image. Expected base64 encoded data (write-only) logo_url string Logo image url (read-only) favicon_file string Custom favicon image. Expected base64 encoded data (write-only) favicon_url string Favicon image url (read-only) default_title string Default page title show_help_menu boolean Boolean to toggle showing help menus show_docs boolean Boolean to toggle showing docs show_email_sub_options boolean Boolean to toggle showing email subscription options. allow_looker_mentions boolean Boolean to toggle mentions of Looker in emails allow_looker_links boolean Boolean to toggle links to Looker in emails custom_welcome_email_advanced boolean Allow subject line and email heading customization in customized emails" setup_mentions boolean Remove the word Looker from appearing in the account setup page alerts_logo boolean Remove Looker logo from Alerts alerts_links boolean Remove Looker links from Alerts folders_mentions boolean Remove Looker mentions in home folder page when you don't have any items saved custom_welcome_email [CustomWelcomeEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CustomWelcomeEmail) Custom welcome email configuration Expand CustomWelcomeEmail definition... enabled boolean If true, custom email content will replace the default body of welcome emails content string The HTML to use as custom content for welcome emails. Script elements and other potentially dangerous markup will be removed. subject string The text to appear in the email subject line. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled. header string The text to appear in the header line of the email body. Only available with a whitelabel license and whitelabel_configuration.advanced_custom_welcome_email enabled. onboarding_enabled boolean Toggle onboarding on or off timezone string Change instance-wide default timezone allow_user_timezones boolean Toggle user-specific timezones on or off data_connector_default_enabled boolean Toggle default future connectors on or off host_url string Change the base portion of your Looker instance URL setting override_warnings boolean (Write-Only) If warnings are preventing a host URL change, this parameter allows for overriding warnings to force update the setting. Does not directly change any Looker settings. email_domain_allowlist string\[\] embed_cookieless_v2 boolean (DEPRECATED) Use embed_config.embed_cookieless_v2 instead. If embed_config.embed_cookieless_v2 is specified, it overrides this value. embed_vis_modernization_default boolean Default net new visualizations in embedded context to Modern theme embed_enabled boolean True if embedding is enabled https://docs.cloud.google.com/looker/docs/r/looker-core-feature-embed, false otherwise embed_config [EmbedConfig](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/EmbedConfig) Embed configuration. Requires embedding to be enabled https://docs.cloud.google.com/looker/docs/r/looker-core-feature-embed Expand EmbedConfig definition... domain_allowlist string\[\] alert_url_allowlist string\[\] alert_url_param_owner string Owner of who defines the alert/schedule params on the base url alert_url_label string Label for the alert/schedule url sso_auth_enabled boolean Is SSO embedding enabled for this Looker embed_cookieless_v2 boolean Is Cookieless embedding enabled for this Looker embed_content_navigation boolean Is embed content navigation enabled for this looker embed_content_management boolean Is embed content management enabled for this Looker embed_show_tile_filter_information boolean When true, filter information is shown on embedded dashboard tiles embed_vis_modernization_default boolean Default net new visualizations in embedded context to Modern theme strict_sameorigin_for_login boolean When true, prohibits the use of Looker login pages in non-Looker iframes. When false, Looker login pages may be used in non-Looker hosted iframes. look_filters boolean When true, filters are enabled on embedded Looks hide_look_navigation boolean When true, removes navigation to Looks from embedded dashboards and explores. permissions object Tree of allowed embed permissions embed_enabled boolean True if embedding is licensed for this Looker instance. login_notification_enabled boolean Login notification enabled login_notification_text string Login notification text dashboard_auto_refresh_restriction boolean Toggle Dashboard Auto Refresh restriction dashboard_auto_refresh_minimum_interval string Minimum time interval for dashboard element automatic refresh. Examples: (30 seconds, 1 minute) managed_certificate_uri string\[\] content_certification_documentation_link string Link to content certification documentation. revoke_certification_on_edits boolean Allow content certification to be revoked on edits. automated_mfa_enabled boolean Automatically enable Multi-Factor Authentication for users. is_content_certification_enabled boolean Allow content certification. auto_certify_lookml_content boolean Allow auto certification of lookml content. ca_agent_observability boolean Toggle Conversational Analytics Agent Token usage mcp_tools [McpTools](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpTools) Configuration for MCP Tools Expand McpTools definition... enable_all boolean Enable all MCP tools add_dashboard_element [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Creates a dashboard element in the given dashboard. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level add_dashboard_filter [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Adds a filter to a specified dashboard. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level create_project_file [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Creates a new LookML file in a project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level delete_project_file [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Deletes a LookML file in a project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level dev_mode [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Changes the current session into and out of dev mode Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level generate_embed_url [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates an embeddable URL for Looker content. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_connection_databases [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the databases in a connection. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_connection_schemas [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the schemas in a connection. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_connection_table_columns [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the columns for each table specified. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_connection_tables [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the tables in a connection. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_connections [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the connections in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_dashboards [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Searches for a saved Dashboard by name or description. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_dimensions [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the dimensions from a given explore in a given model in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_explore [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Retrieves detailed metadata about an explore, including its required filters and tags. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_explores [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all explores for the given model from the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_field_value_suggestions [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Retrieves distinct value suggestions for a field. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_filters [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the filters from a given explore in a given model in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_looks [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Searches for saved Looks in a Looker source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_measures [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the measures from a given explore in a given model in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_models [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the models in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_parameters [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the parameters from a given explore in a given model in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_project_file [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns the contents of a LookML file. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_project_files [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the LookML files in a project in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_projects [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns all the LookML projects in the source. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level health_analyze [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Provides a set of analytical commands for a Looker instance, allowing users to analyze projects, models, and explores. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level health_pulse [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Performs health checks on a Looker instance, with multiple actions available (e.g., checking database connections, dashboard performance, etc). Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level health_vacuum [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Provides a set of commands to audit and identify unused LookML objects in a Looker instance. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level make_dashboard [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates a Looker dashboard in the users personal folder in Looker Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level make_look [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates a Looker look in the users personal folder in Looker Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level query [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Runs an inline query using the Looker semantic model. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level query_sql [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates a sql query using the Looker semantic model. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level query_url [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates a url link to a Looker explore. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level run_dashboard [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Runs the queries associated with a dashboard. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level run_look [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Runs the query associated with a saved Look. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level update_project_file [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Updates the content of a LookML file in a project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level validate_project [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Checks the syntax of a LookML project and reports any errors. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_project_directories [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns the directories within a specific LookML project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level create_project_directory [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Creates a new directory in a LookML project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level delete_project_directory [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Deletes a directory from a LookML project. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level get_lookml_tests [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Returns a list of tests which can be run to validate a project's LookML code and/or the underlying data, optionally filtered by the file id. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level run_lookml_tests [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Runs LookML tests in the project, filtered by file, test, and/or model. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level create_view_from_table [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Generates boilerplate LookML views directly from the database schema. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level render_visualization [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Renders an interactive data visualization for a Looker query using the MCP Apps protocol. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level render_dashboard [McpToolSetting](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/McpToolSetting) Renders an interactive Looker dashboard using the MCP Apps protocol. Enabling this tool also enables query and get_field_value_suggestions, which the dashboard app needs to load tiles and filter suggestions. Expand McpToolSetting definition... enabled boolean Is this tool enabled description string Tool description category string Tool category access_level string Tool access level

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 403: Permission Denied

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 409: Resource Already Exists

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link